//屏蔽鼠标右键
document.oncontextmenu = function(e) {
	var e = e || window.event;
	e.returnValue = false;
	return false;
}
//禁止快捷键打印
function disabledPrint(){
	if(event.keyCode==80 && event.ctrlKey){
		event.keyCode=0;
		event.returnValue=false;
	}
	if (event.ctrlKey && event.keyCode == 83) {
		event.preventDefault();
		event.returnValue = false;
		return false;
	}
}
//初始化函数
$(function(){
	//加载其他诊断名称鼠标滑过显示全部文本
	//loadQtip('.otherDiagName');
	//加载病案信息
	loadRecord();
	//加载住院次数
	loadAdmissTimes();
	//加载iframe
	$("#iframe").prop("src",path+"/commom/showRecordIframeBlood?patientId="+$("#patientId").val()+"&flag=file_path");
})

//加载病案信息
function loadRecord(){
	$.ajax({
		type:'get',
		url:path+'/commom/getRecord',
		data:{patientId:$("#patientId").val()},
		async:false,
		dataType:'json',
		success:function (data) {
			if(null != data && data != ''){
				$("#inpatientNo").val(data.inpatientNo);
				$("#name").val(data.name);
				$("#admissTimes1").val(data.admissTimes);
				$("#inpatientNo1").val(data.inpatientNo);
				$("#name1").val(data.name);
				$("#admissTimesValue").val(data.admissTimes);
				$("#disDate").val(data.disDate);
				$("#disDeptName").val(data.disDept);
				$("#diagName").val(data.mainDiagName);
				$("#otherDiagName").val(data.otherDiagName);
			}
		}
	})
}

//加载住院次数
function loadAdmissTimes(){
	$.ajax({
		type:'get',
		url:path+'/commom/getAdmissTimes',
		data:{name:$("#name").val(),inpatientNo:$("#inpatientNo").val()},
		dataType:'json',
		success:function (data) {
			if(null != data && data != ''){
				$("#admissTimes").empty();
				var html = '';
				for (var i = 0; i < data.length; i++) {
					if($("#admissTimesValue").val() == (data[i].admissTimes)){
						html += '<option value="'+data[i].admissTimes+'" selected>'+data[i].admissTimesName+'</option>';
					}else{
						html += '<option value="'+data[i].admissTimes+'">'+data[i].admissTimesName+'</option>';
					}
				}
				$("#admissTimes").append(html);
			}
		}
	})
}
/*//住院次数变更事件
$("#admissTimes").change(function () {
	var val = $(this).val();
	$(".admissTimes").val(val);
	var inpatientNo = $("#inpatientNo").val();
	var name = $("#name").val();
	//变更基本信息，出院时间，出院科室，主要诊断，其他诊断
	$.ajax({
		type:'post',
		url:path+"/commom/getOtherDiagNameByAdmissTimesAndInpatientNo",
		data:{name:$("#name").val(),admissTimes:val,inpatientNo:$("#inpatientNo").val(),startTime2:$("#disDate").val()},
		dataType:'json',
		success:function(d){
			if(d != null){
				$("#patientId").val(d.patientId);
				$("#iframe").prop("src",path+"/commom/showRecordIframe?patientId="+d.patientId);
				$("#disDate").val(d.disDate);
				$("#disDeptName").val(d.disDept);
				$("#diagName").val(d.mainDiagName);
				$("#otherDiagName").val(d.otherDiagName);
				//重新加载其他诊断名称鼠标滑过显示全部文本
				loadQtip('.otherDiagName');
			}
		}
	})
})*/
